Tie (Java SE 10 & JDK 10 )
Keywords: javax.rmi.CORBA.Tie interface

Module java.corba
Package javax.rmi.CORBA

## Interface Tie

- All Superinterfaces:
    `InvokeHandler`

      public interface Tie
      extends InvokeHandler

  Defines methods which all RMI-IIOP server side ties must implement.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deactivate()` | Deactivates the target object represented by this tie.
    `Remote` | `getTarget()` | Returns the target for this tie.
    `ORB` | `orb()` | Returns the ORB for this tie.
    `void` | `orb​(ORB orb)` | Sets the ORB for this tie.
    `void` | `setTarget​(Remote target)` | Called by `Util.registerTarget(javax.rmi.CORBA.Tie, java.rmi.Remote)` to set the target for this tie.
    `Object` | `thisObject()` | Returns an object reference for the target object represented by this tie.

    - ### Methods declared in interface org.omg.CORBA.portable.InvokeHandler

      `_invoke`

- - ### Method Detail

    - #### thisObject

          Object thisObject()

      Returns an object reference for the target object represented by this tie.
      Returns:
        an object reference for the target object.

    - #### deactivate

          void deactivate()
                   throws NoSuchObjectException

      Deactivates the target object represented by this tie.
      Throws:
        `NoSuchObjectException`

    - #### orb

          ORB orb()

      Returns the ORB for this tie.
      Returns:
        the ORB.

    - #### orb

          void orb​(ORB orb)

      Sets the ORB for this tie.
      Parameters:
        `orb` - the ORB.

    - #### setTarget

          void setTarget​(Remote target)

      Called by `Util.registerTarget(javax.rmi.CORBA.Tie, java.rmi.Remote)` to set the target for this tie.
      Parameters:
        `target` - the object to use as the target for this tie.

    - #### getTarget

          Remote getTarget()

      Returns the target for this tie.
      Returns:
        the target.